# Changelog

All notable changes to this project will be documented in this file.

The format is based on [Keep a Changelog](https://keepachangelog.com/en/1.0.0/),
and this project adheres to [Semantic Versioning](https://semver.org/spec/v2.0.0.html)[^1].

<!---
Types of changes

- Added for new features.
- Changed for changes in existing functionality.
- Deprecated for soon-to-be removed features.
- Removed for now removed features.
- Fixed for any bug fixes.
- Security in case of vulnerabilities.

-->

## [Unreleased]

## [1.0.8] - 2025-04-03

### Added

* Render will execute even when the audio file is missing
* Improved default file name matching to avoid confusion between final and preview playblast versions
* In and Out marks on the TvPaint timeline are now handled by the render action

### Fixed

* Frame ranged in now forced on the pytvpaint render action to avoid frame range issues
* Folder name is now parsed correctly to the MarkSequence action
* Marking will now initiate only when both the PythonRunner and TvPaint processes are stopped, meaning
that the marking will start only if the TvPaint render worked properly

### Changed

* "Preview" render option is temporarily disabled due to a pytvpaint error that prevent a keyframed camera to be resized properly when the project resolution is changed 

## [1.0.7] - 2025-02-21

### Added

* Export Audio will now create a .wav default file in animatic


## [1.0.6] - 2024-12-12

### Changed

* Show reference is now checked by default in exposition task

## [1.0.5] - 2024-12-06

### Fixed

* imported re

## [1.0.4] - 2024-12-06

### Fixed

* scripts folder is now properly packed in releases.

## [1.0.3] - 2024-12-05

### Fixed

* show_reference fixed

## [1.0.2] - 2024-12-04

### Added

* the video output will now have the audio from the animatic
* an option to show the reference in the video output

## [1.0.1] - 2024-10-27

### Changed

* The playblast rendering action is enabled on TVPaint files only.

## [1.0.0] - 2024-10-25

### Added

* Extension for rendering playblast from a TVPaint file.
